Search Project Roles
Deprecated: use project v2 service ListProjectRoles instead.
Returns all roles of a project matching the search query.
Path Parameters
project_id*string
Request Body
application/json
query?
list limitations and ordering
queries?array<|>
criteria the client is looking for
[key: string]?never
Response Body
application/json
curl -X POST "https://loading/projects/string/roles/_search" \ -H "Content-Type: application/json" \ -d '{}'{
"details": {
"totalResult": 0,
"processedSequence": 0,
"viewTimestamp": "2023-01-15T01:30:15.01Z"
},
"result": [
{
"key": "string",
"details": {
"sequence": 0,
"creationDate": "2023-01-15T01:30:15.01Z",
"changeDate": "2023-01-15T01:30:15.01Z",
"resourceOwner": "string"
},
"displayName": "string",
"group": "string"
}
]
}Was this page helpful?
Search Project Grants from Project
Search Project Grants from Project: Deprecated: use [ListProjectGrants](/reference/api/project/zitadel.project.v2.ProjectService.ListProjectGrants) instead. Returns a list of project grants for a specific project. A project grant is ...
Search User Grants
Search User Grants: Deprecated: [List authorizations](/reference/api/authorization/zitadel.authorization.v2.AuthorizationService.ListAuthorizations) and pass the user ID filter to search for a users grants on owned or...